API ReferenceStage
Update stage
PATCH
Update stage
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
id*stringStage identifier
The updated Stage resource
- body
name?stringLength
length <= 100description?|Length
length <= 100000isBlameableRemovalEnabled?booleanstageType?|Format
uuiddateStart?stringFormat
date-timedateEnd?stringFormat
date-timeStage resource updated
- response
id?stringFormat
uuidname?stringLength
length <= 100status?stringValue in
"in-preparation""open"description?|Length
length <= 100000dateStart?stringFormat
date-timedateEnd?stringFormat
date-timecreatedAt?stringFormat
date-timeupdatedAt?stringFormat
date-timeprogress?integerDefault
0weight?integertimePlanned?integerDefault
0timeReported?integerDefault
0isBlameableRemovalEnabled?booleanDefault
falseproject?stringFormat
uuidprojectName?stringLength
length <= 100stageType?|nullcanManage?booleanDefault
falseboardCount?|Default
nullcurl -X PATCH 'https://app.icproject.com/api/instance/demo/project/stages/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "status": "in-preparation", "description": "string", "dateStart": "2019-08-24T14:15:22Z", "dateEnd": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "progress": 0, "weight": 0, "timePlanned": 0, "timeReported": 0, "isBlameableRemovalEnabled": false, "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2", "projectName": "string", "stageType": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "decorator": "#78909c" }, "canManage": false, "boardCount": null}